MDLS(1)

NAME
mdls - lists the metadata attributes for the specified file

SYNOPSIS
mdls [-name attributeName] [-raw [-nullMarker markerString]] file ...

DESCRIPTION
The mdls command prints the values of all the metadata attributes associated with the files provided as an argument.

The following options are available:

-name
    Print only the matching metadata attribute value. Can be used multiple times.

-raw
    Print raw attribute data in the order that was requested. Fields will be separated with a ASCII NUL character, suitable for piping to xargs(1) -0.

-nullMarker
    Sets a marker string to be used when a requested attribute is null. Only used in -raw mode. Default is "(null)".

SEE ALSO
mdfind(1), mdutil(1) xargs(1)